export default function useCustomHistory(): {
    goBackWithFallback(fallbackRoute: string): void;
    length: number;
    action: import("history").Action;
    location: import("history").Location<unknown>;
    push(location: import("history").LocationDescriptor<unknown>, state?: unknown): void;
    replace(location: import("history").LocationDescriptor<unknown>, state?: unknown): void;
    go(n: number): void;
    goBack(): void;
    goForward(): void;
    block(prompt?: string | boolean | import("history").TransitionPromptHook<unknown> | undefined): import("history").UnregisterCallback;
    listen(listener: import("history").LocationListener<unknown>): import("history").UnregisterCallback;
    createHref(location: import("history").LocationDescriptorObject<unknown>): string;
};
